[openssl-commits] [tools] master update

Rich Salz rsalz at openssl.org
Mon May 21 12:03:20 UTC 2018


The branch master has been updated
       via  a3215cfa675b64baaa570f374c55f098479b0df6 (commit)
      from  f37c4f5e3a9ef27283a395ffd0975e78067121ea (commit)


- Log -----------------------------------------------------------------
commit a3215cfa675b64baaa570f374c55f098479b0df6
Author: Rich Salz <rsalz at akamai.com>
Date:   Sun May 20 21:00:32 2018 -0400

    Add --web flag for web repo
    
    Reviewed-by: Tim Hudson <tjh at openssl.org>
    (Merged from https://github.com/openssl/tools/pull/13)

-----------------------------------------------------------------------

Summary of changes:
 review-tools/ghmerge | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/review-tools/ghmerge b/review-tools/ghmerge
index b1aebb9..ea6b0ec 100755
--- a/review-tools/ghmerge
+++ b/review-tools/ghmerge
@@ -2,16 +2,22 @@
 
 set -o errexit
 
+WHAT=openssl
+BUILD=yes
+TRIVIAL=""
+MERGE="yes"
+
 if [ ! -d .git ] ; then
     echo Not at top-level
     exit 1
 fi
 
-TRIVIAL=""
+if [ "$1" = "--web" ] ; then
+    WHAT=web ; MERGE=yes ; BUILD=no ; shift
+fi
 if [ "$1" == "--trivial" ] ; then
     TRIVIAL="--trivial" ; shift
 fi
-MERGE="yes"
 if [ "$1" == "--merge" -o "$1" == "--squash" ] ; then
     MERGE=yes ; shift
 fi
@@ -31,7 +37,7 @@ case "$PRNUM" in
         ;;
 esac
 
-curl -s https://api.github.com/repos/openssl/openssl/pulls/$PRNUM >/tmp/gh$$
+curl -s https://api.github.com/repos/openssl/$WHAT/pulls/$PRNUM >/tmp/gh$$
 TEAM=$*
 set -- `python -c '
 from __future__ import print_function
@@ -61,7 +67,7 @@ function cleanup {
 trap 'cleanup' EXIT
 
 
-git pull --rebase https://github.com/$WHO/openssl.git $BRANCH
+git pull --rebase https://github.com/$WHO/$WHAT.git $BRANCH
 git rebase $REL
 echo Diff against $REL
 git diff $REL


More information about the openssl-commits mailing list